> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sportsapipro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Championship Endpoints

> 8 endpoints for motorsport championship data: F1, MotoGP, IndyCar

## Championship Endpoints (8)

All endpoints use base URL `https://api.sportsapipro.com/v2/motorsport`.

### Championship Info

```bash theme={null}
GET /api/tournament/:id/info
GET /api/tournament/:id/seasons
GET /api/tournament/:id/image
GET /api/tournament/:id/featured-events
GET /api/tournament/:id/media
```

### Season-Specific Endpoints

All require `tournamentId` + `seasonId`. Discover season IDs via `/api/tournament/:id/seasons`.

```bash theme={null}
GET /api/tournament/:id/season/:sid/events/last/:page
GET /api/tournament/:id/season/:sid/info
GET /api/tournament/:id/season/:sid/venues
```
